#include "CS_PuppyFishResist.h"
#include "EntityStateResist.h"
const int& CS_PuppyFishSTATENAME_RESIST = ES_STATENAME_RESIST;
CS_PuppyFishResist::CS_PuppyFishResist()
{
	SetPhysice(true);
	resist = resist_default;
	enable = true;
	stateID = CS_PuppyFishSTATENAME_RESIST;
}

void CS_PuppyFishResist::State()
{
	auto we = e.lock();
	if (!we)
		return;

	resist = resist_default;
	//µØÃæ×èÁ¦
	if (we->vx < 0)
		if (we->vx > -resist)
			we->vx = 0;
		else
			we->vx += resist;
	if (we->vx > 0)
		if (we->vx < resist)
			we->vx = 0;
		else
			we->vx -= resist;
}

void CS_PuppyFishResist::SetPhysice(bool bInWater)
{
	if (bInWater)
		resist_default = inwater_resist_default;
	else
		resist_default = ground_resist_default;
}
